Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6339 - "/sbin/lilo -R" fails on a soft-raid1 boot disk
Summary: "/sbin/lilo -R" fails on a soft-raid1 boot disk
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-25 15:56 UTC by Stephen Tweedie
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:47:33 UTC


Attachments (Terms of Use)

Description Stephen Tweedie 1999-10-25 15:56:09 UTC
lilo itself runs perfectly well when installing on a system
which has both / and /boot on separate software raid1
devices.  It installs on both sda and sdb as expected.

"lilo -R", on the other hand, fares less well: it results in

  [root@sarek sct]# /sbin/lilo -R test
  boot = /dev/sdb, map = /boot/map.0815
  [boot@sarek sct]

and next boot (from /dev/sda) does _not_ run the requested
new image.  For both / and /boot, /dev/sdb is listed before
/dev/sda in /proc/mdstat --- don't blame me, that's how the
rh6.1 installer left things.

--Stephen <sct@redhat.com>

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 Jeremy Katz 2002-06-04 04:53:48 UTC
I haven't seen this behavior in newer releases; can you replicate it there?

Comment 3 Jeremy Katz 2002-06-29 21:47:28 UTC
Closing due to inactivity.  If you have further information, please reopen this bug.

Comment 4 Red Hat Bugzilla 2006-02-21 18:47:33 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.